1. Payments
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Reason Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Webhook
    • Verifying webhooks
    • On Status Change
  1. Payments

List Payments

GET
/payments

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/payments?created_from=undefined&created_to=undefined&status=&limit=undefined&cursor=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "string",
            "type": "string",
            "requested": {
                "amount": "string",
                "currency": "string"
            },
            "initialized": {
                "amount": "string",
                "currency": "string"
            },
            "processed": {
                "amount": "string",
                "currency": "string"
            },
            "refunded": {
                "amount": "string",
                "currency": "string"
            },
            "requisite": {
                "type": "card",
                "card": "string",
                "holder": "string",
                "bank": "string"
            },
            "status": "string",
            "reason_code": "string",
            "expires_at": "string",
            "created_at": "string",
            "finalized_at": "string",
            "metadata": {}
        }
    ],
    "pagination": {
        "has_more": true,
        "next_cursor": "string"
    }
}
Previous
Create Payment
Next
Retrieve Payment
Built with